@media (min-width: 1600px) {
  .container {
    max-width: 1440px;
  }
}
.main-btn {
  display: inline-flex;
  padding: 10px 25px;
  background-color: var(--primary-color);
  color: #fff !important;
  font-weight: 500;
  border-radius: 25px;
  align-items: center;
  justify-content: center;
  font-size: 18px;
  min-width: 150px;
  text-decoration: none;
  transition: all 0.3s ease;
}

.main-btn:hover {
  background-color: var(--secondary-color);
  color: #fff;
}

a.main-btn img {
  width: 9px;
  position: relative;
  margin-left: 7px;
  bottom: -2px;
}
@media (max-width: 575px) {
  .main-btn {
    padding: 9px 15px;
    font-size: 14px;
    min-width: 130px;
  }
  a.main-btn img {
    width: 7px;
    bottom: -1px;
  }
}
/*====== Header ======*/
@-webkit-keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

@keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

.header-area {
  position: absolute;
  background: rgb(255 255 255 / 0%);
  transition: all 0.5s ease;
  padding: 10px 0;
  z-index: 99992;
  width: 100%;
}

.header-bg-on-scroll {
  position: fixed;
}

.header-bg-on-scroll,
.header-bg-on-click {
  -webkit-animation: 600ms ease-out 0s normal none 1 running fadeInDown;
  animation: 600ms ease-out 0s normal none 1 running fadeInDown;
  background: #fff;
  -webkit-box-shadow: 0 5px 5px 0 rgb(0 0 0 / 10%);
  -moz-box-shadow: 0 5px 5px 0 rgb(0 0 0 / 10%);
  box-shadow: 0 5px 5px 0 rgb(0 0 0 / 10%);
}

.top-btn a {
  color: #fff;
  background: var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
  font-size: 16px;
  font-weight: 700;
  padding: 10px 15px;
  text-decoration: none;
  min-width: 160px;
  line-height: 18px;
  transition: all 0.5s ease;
  border-radius: 60px;
  box-shadow: 0 4px 5px 0 #3f3d3d2e;
}

.top-btn a:hover {
  background-color: var(--secondary-color);
  transition: all 0.5s ease;
}
.site-logo img {
  max-width: 185px;
}
#return-to-top {
  background: var(--secondary-color);
  border: 2px solid #fff;
  bottom: 20px;
  cursor: pointer;
  display: none;
  height: 45px;
  right: 20px;
  position: fixed;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  text-align: center;
  width: 45px;
  z-index: 999;
}

#return-to-top img {
  width: 31px;
  margin-top: 9px;
  opacity: 0.4;
  transition: opacity 0.3s;
}

#return-to-top:hover img {
  opacity: 1;
}

@media all and (max-width: 1399px) {
  .site-logo img {
    max-width: 140px;
  }
}

@media all and (max-width: 991px) {
  header.header-area .container {
    max-width: 100%;
  }
}

@media (max-width: 767px) {
  .top-btn a {
    font-size: 14px;
    font-weight: 600;
    padding: 10px 10px;
    min-width: 130px;
  }
  .site-logo img {
    max-width: 90px;
  }
}

@media (max-width: 640px) {
  .top-btn a {
    font-size: 13px;
    padding: 8px 15px;
    min-width: 130px;
  }
}

/*====Side Navigation====*/
.menu-icon {
  display: flex;
  margin-left: auto;
  text-align: center;
  width: 30px;
  height: 30px;
}

.menu-icon-in {
  width: 30px;
  height: 30px;
  position: relative;
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
  cursor: pointer;
  display: inline-block;
}

.menu-icon-in span {
  display: block;
  position: absolute;
  height: 2px;
  width: 100%;
  border-radius: 1px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.25s ease-in-out;
  transition: 0.25s ease-in-out;
  background-color: #fff;
  border-radius: 10px;
}

.menu-icon-in span:nth-child(1) {
  top: 10%;
}

.menu-icon-in span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.menu-icon-in span:nth-child(3) {
  bottom: 10%;
}

.menu-icon-in.open span:nth-child(1) {
  top: 13px;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
  width: 100%;
  background-color: #f3f3f3;
}

.menu-icon-in.open span:nth-child(2) {
  opacity: 0;
  left: -60px;
}

.menu-icon-in.open span:nth-child(3) {
  top: 13px;
  -webkit-transform: rotate(-135deg);
  -moz-transform: rotate(-135deg);
  -o-transform: rotate(-135deg);
  transform: rotate(-135deg);
  width: 100%;
  background-color: #f3f3f3;
}

.menu-icon-in:hover span {
  background-color: #f3f3f3;
}

.overflow-nav {
  overflow-y: scroll;
}

.dvLeft.open {
  left: 0;
}

.mask-overlay {
  content: "";
  position: fixed;
  background: linear-gradient(180deg, rgb(0 0 0 / 50%), rgb(41 61 102 / 30%));
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
}

#slidebar-out {
  color: #732525;
  font-size: 1.6rem;
  position: absolute;
  right: 12px;
  top: 8px;
  cursor: pointer;
}

#menubar::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgb(0 0 0 / 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

#menubar::-webkit-scrollbar {
  width: 10px;
  background-color: #fff0;
}

#menubar::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 2px rgb(0 0 0 / 0.3);
  background-color: #443b34;
}
.menu-icon-in span,
.menu-icon-in.open span:nth-child(3),
.menu-icon-in.open span:nth-child(1),
.menu-icon-in:hover span {
  background-color: var(--secondary-color);
}

@media all and (min-width: 992px) {
  .dvLeft {
    display: none;
  }
}
@media (max-width: 1199px) {
  .menu-icon-in span {
    height: 3px;
  }
  .dvLeft {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    flex-direction: column;
    position: fixed;
    top: 0;
    height: 100%;
    z-index: 9998;
    overflow-x: hidden;
    overflow-y: auto;
    left: -320px;
    width: 300px;
    background-color: #fff;
    padding: 15px;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -o-transition: all 0.5s;
    -ms-transition: all 0.5s;
    transition: all 0.5s;
    box-shadow: 1px 0 5px #0000003d;
    -moz-box-shadow: 1px 0 5px #0000003d;
    -webkit-box-shadow: 1px 0 5px #0000003d;
  }
}

@media all and (max-width: 991.5px) {
  .dvLeft {
    left: -320px;
    width: 300px;
    padding-top: 120px;
  }
}

@media all and (max-width: 767px) {
  .dvLeft {
    padding-top: 86px;
  }
}

/*====== Top Navigation =====*/
.logo-small,
.small-phone {
  visibility: hidden;
  position: absolute;
}
@media (min-width: 1200px) {
  .navbar {
    padding: 0;
  }

  .navbar-nav.ml-auto {
    margin-left: 0 !important;
  }

  .navbar a:hover {
    text-decoration: none;
  }
  .navbar-nav > li {
    position: relative;
    padding: 0 1rem;
  }

  .navbar-nav > li:first-child {
    padding-left: 0;
  }

  .navbar-nav > li:last-child {
    padding-right: 0;
  }

  .navbar-light .navbar-nav > li > a {
    color: var(--secondary-color);
    position: relative;
    text-transform: capitalize;
    padding: 1rem 0;
    display: block;
    border-radius: 0;
    font-size: 1.6rem;
    font-weight: 700;
    font-family: var(--secondary-font);
  }

  .navbar-light .navbar-nav > li.dropdown > a {
    padding-right: 20px;
  }

  .navbar-light .navbar-nav > li span.dropdown-caret {
    display: none;
  }

  .navbar-light .navbar-nav > li > a:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    bottom: 4px;
    left: 0;
    background: var(--secondary-color);
    box-shadow: 0 0 3px 1px #fff;
    visibility: hidden;
    transform: scaleX(0);
    -webkit-transition: 0.25s linear;
    -moz-transition: 0.25s linear;
    -o-transition: 0.25s linear;
    -ms-transition: 0.25s linear;
    transition: 0.25s linear;
  }

  .navbar-light .navbar-nav > li.dropdown:hover > a:before,
  .navbar-light .navbar-nav > li > a:hover:before {
    visibility: visible;
    transform: scaleX(1);
  }

  .dropdown .dropdown-menu {
    background: #fff;
    top: 120%;
    z-index: 99;
    display: block;
    min-width: 24rem;
    width: max-content;
    border-radius: 0;
    border: 0;
    opacity: 0;
    visibility: hidden;
    left: 5px;
    box-shadow: 0 0 1px 0 rgba(0, 0, 0, 0.21);
    padding: 0;
    position: relative;
    margin: 0;
    -webkit-transition: top 0.3s;
    -moz-transition: top 0.3s;
    -o-transition: top 0.3s;
    -ms-transition: top 0.3s;
    transition: top 0.3s;
  }

  .dropdown:hover > .dropdown-menu {
    top: 100%;
    opacity: 1;
    visibility: visible;
  }

  .navbar-nav > li:last-child > .dropdown-menu {
    left: inherit;
    right: 0;
  }

  .navbar-light .navbar-nav .dropdown-menu a {
    color: #000;
    font-weight: 500;
    text-transform: capitalize;
    font-size: 1.5rem;
    padding: 10px;
    display: block;
    line-height: normal;
    border-radius: 0;
    position: relative;
    -webkit-transition: transform 0.3s;
    -moz-transition: transform 0.3s;
    -o-transition: transform 0.3s;
    -ms-transition: transform 0.3s;
    transition: transform 0.3s;
  }

  .navbar-light .navbar-nav > li:hover > a {
    color: var(--secondary-color);
  }

  .navbar-light .navbar-nav .dropdown-menu a:hover,
  .navbar-nav > li.dropdown .dropdown-menu li.dropdown:hover > a {
    color: var(--primary-color);
    transform: translateX(5px);
    -webkit-transition: transform 0.3s;
    -moz-transition: transform 0.3s;
    -o-transition: transform 0.3s;
    -ms-transition: transform 0.3s;
    transition: transform 0.3s;
  }

  .navbar-nav .dropdown-menu > li {
    position: relative;
    border-bottom: 1px solid rgb(0 0 0 / 10%);
  }

  .navbar-nav .dropdown-menu li:last-child {
    border-bottom: 0;
  }

  .dropdown-menu .dropdown-menu {
    left: 100%;
    top: 0 !important;
  }

  .navbar-nav > .dropdown > a::after {
    position: absolute;
    right: 2px;
    content: "\f107";
    font-family: FontAwesome;
    top: 50%;
    transform: translateY(-50%);
    font-size: 16px;
    color: var(--secondary-color) !important;
  }

  .navbar-nav > .dropdown:last-child .dropdown::after {
    display: none;
  }

  .navbar-light .navbar-nav > li:hover > a:after {
    color: var(--secondary-color);
  }

  .navbar-nav li.dropdown:last-child:hover .dropdown-menu:after {
    left: inherit;
    right: 10%;
  }

  .navbar-light .navbar-nav > li.dropdown .dropdown-menu li.dropdown a {
    padding-right: 25px;
  }

  .navbar-light .navbar-nav > li.dropdown .dropdown-menu li.dropdown > a::after {
    position: absolute;
    right: 10px;
    z-index: 1;
    top: 50%;
    transform: translateY(-50%);
    content: "\f0da";
    font-family: FontAwesome;
    font-weight: 900;
    color: #000;
  }

  .navbar-nav > li.dropdown .dropdown-menu li.dropdown > a:hover::after,
  .navbar-nav > li.dropdown .dropdown-menu li.dropdown:hover > a::after {
    color: var(--primary-color);
  }
  .navbar-nav .nav-link.active {
    color: var(--primary-color);
  }

  a.nav-link:hover {
    color: var(--primary-color) !important;
  }

  .navbar-light .navbar-nav > li > a:hover:before {
    background-color: var(--primary-color);
  }
  .navbar-nav > .dropdown > a:hover::after,
  .navbar-nav > .dropdown > a.nav-link.active::after {
    color: var(--primary-color) !important;
  }
  .dropdown-item.active {
    color: var(--primary-color) !important;
    background-color: #c6d9ff;
  }
}

@media (max-width: 1199px) {
  .navigation {
    margin-top: 15px;
  }
  /* ===== Navigation ===== */
  li.nav-item.dropdown.current .nav-link {
    background-color: var(--secondary-color);
    color: #fff;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
  }
  .navigation .nav-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 16px;
    color: var(--primary-color);
    font-weight: 600;
    text-decoration: none;
    transition: 0.3s;
    font-family: var(--secondary-font);
  }

  a.dropdown-item:visited {
    color: var(--secondary-color);
  }
  a.dropdown-item.active,
  .navigation .nav-link.active {
    color: var(--primary-color) !important;
    background-color: #c6d9ff;
  }

  /* ===== Caret ===== */
  .dropdown-caret {
    cursor: pointer;
    margin-left: auto;
    transition: transform 0.3s ease;
  }

  /* ===== Dropdown menu (closed) ===== */
  .dropdown-menu {
    display: none;
    position: static;
    background: transparent;
    border: 0;
    padding: 0;
    margin: 0;
  }

  /* ===== OPEN STATE ===== */
  .nav-item.current > .dropdown-menu {
    display: block;
    background-color: #f4f6fa;
  }

  /* Rotate caret when open */
  .nav-item.current .dropdown-caret .fa-caret-down:before {
    content: "\f0d8";
  }

  /* ===== Dropdown items ===== */
  .dropdown-item {
    padding: 10px 16px;
    color: var(--secondary-color);
    display: block;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
    padding-top: 10px;
    border-top: 1px solid rgb(255 255 255);
  }

  .dropdown-item:hover {
    background: var(--secondary-color);
    color: #fff;
  }
  #ulmenu > .nav-item + .nav-item {
    margin-top: 5px;
    padding-top: 5px;
    border-top: 1px solid rgba(253, 201, 201, 0.45);
  }
}
/*======= Contact Form ======*/
.dynamic-form .form-grid {
  gap: 2rem;
}
.dynamic-form .form-title {
  display: none;
}

.dynamic-form .form-group {
  flex: 1 1 445px;
}

.dynamic-form .form-actions {
  text-align: center;
  margin-top: 2.5rem;
}

.dynamic-form .btn-submit {
  background: linear-gradient(135deg, #0061a1, #0061a1);
  padding: 8px 20px;
  font-size: 1.6rem;
  min-width: 150px;
}

.dynamic-form .floating-label {
  font-size: 1.6rem;
  color: var(--secondary-color);
  margin-bottom: 0.5rem;
  font-weight: 700;
}

.dynamic-form .form-control {
  font-size: 1.6rem;
  width: 100%;
  padding: 8px;
  box-shadow: inset 0 0 4px -0.5px rgb(212 212 212 / 50%);
}

/*===== Hero Section ====*/
.slider-wrapper {
  overflow: hidden;
  background-color: #edf4ff;
  position: relative;
  width: 100%;
  background-image: url(https://cdn.moumachi.com.bd/websites/2025/28077/images/fire-protection-system-maintenance1.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 100vh;
  display: flex;
  align-items: center;
}
.slider-content .img-box {
  position: relative;
}

.slider-content .img-box > img:nth-child(2) {
  position: absolute;
  left: 90px;
  top: 30px;
  width: 85px;
  opacity: 0.5;
}

a.slider-btn {
  display: inline-flex;
  background-color: var(--primary-color);
  padding: 15px 30px;
  border-radius: 50px;
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  margin-top: 50px;
  transition: all 0.5s ease;
}

a.slider-btn:hover {
  background-color: var(--secondary-color);
  transition: all 0.5s ease;
}

a.slider-btn img {
  background-color: #fff;
  width: 25px;
  height: 25px;
  border-radius: 50px;
  padding: 5px;
}

.slider-text .slide-title {
  font-size: 22px;
  font-weight: 500;
  letter-spacing: 0.6px;
  color: var(--primary-color);
  margin-bottom: 0.5rem;
  transition: all 1s;
  line-height: normal;
}

.slider-text .mega-heading {
  font-size: 65px;
  position: relative;
  line-height: 1.3;
  letter-spacing: 1.5px;
  font-weight: 900;
  color: var(--secondary-color);
  text-shadow: rgb(31 35 35 / 30%) -3px 3px 5px;
}

.slider-text .mega-heading span {
  color: var(--primary-color);
}

.slider-wrapper .slider-main {
  overflow: visible;
}

.slider-text .main-btn {
  margin-top: 20px;
}

@media (max-width: 1330px) {
  .slider-text .mega-heading {
    font-size: 50px;
  }
}

@media (max-width: 1199px) {
  .slider-wrapper {
    height: 650px;
  }
}

@media (max-width: 991px) {
  .slider-text .mega-heading {
    font-size: 45px;
  }
  .slider-wrapper {
    height: 600px;
  }
  .slider-text {
    background-color: rgb(255 255 255 / 50%);
    border-radius: 10px;
    padding: 18px 25px 25px;
    text-align: center;
    margin-top: 35px;
  }
}

@media (max-width: 767px) {
  .slider-wrapper {
    height: 500px;
  }
  .slider-text .mega-heading {
    font-size: 40px;
  }
}

@media (max-width: 575px) {
  .slider-wrapper {
    height: 400px;
  }
  .slider-text .mega-heading {
    font-size: 30px;
  }
  .slider-text .main-btn {
    margin-top: 0;
  }
  .slider-text {
    padding: 10px 15px 15px;
  }
}

/*========== Footer ==========*/
.footer {
  background-color: #232721;
}

.footer-top {
  padding: 25px 0;
}

.footer-logo img {
  width: 120px;
  height: auto;
  background-color: #ffffff;
  border-radius: 5px;
  padding: 8px;
}
a.social-icon {
  text-align: end;
}

.social-icon img {
  width: 30px;
}

.footer-links ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  gap: 20px;
  margin-bottom: 0;
  justify-content: center;
}

.footer-links ul a {
  text-decoration: none;
  color: #fff;
  font-size: 16px;
  font-weight: 500;
}

.footer-bottom {
  background: #232721;
  color: white;
  padding-block: 15px;
  border-top: 1px solid #636363;
}

.footer-bottom a {
  color: #fff;
}

.powered-by img {
  max-width: 20px;
  margin: 0 2px;
}

.powered-by a {
  color: #febb02 !important;
  text-decoration: none;
}

.powered-by p {
  margin-bottom: 0;
}

.footer-bottom p {
  margin-bottom: 0;
}
.social-icons {
  display: grid;
  grid-template-columns: repeat(auto-fit, 32px);
  justify-content: end;
  gap: 10px;
}

.social-icons img {
  background: #fff;
  padding: 5px;
  border-radius: 8px;
  box-shadow: 0 0 3px 0 #00000038;
  width: 32px;
}
@media (max-width: 991px) {
  .footer-logo {
    text-align: center;
  }
  .social-icons {
    justify-content: center;
  }
  .footer-links ul {
    gap: 15px;
  }
}
@media (max-width: 575px) {
  .footer-links ul a {
    font-size: 13px;
  }
}
/*====== Service Boxs ======*/
.service-box {
  padding-bottom: 40px;
  height: 100%;
  position: relative;
  box-shadow: 0 0 10px 0px rgb(0 0 0 / 5%);
  border: 1px solid #e9e9e9;
}

.box-content .small-heading {
  font-size: 18px;
  text-transform: capitalize;
}

.box-content {
  padding: 15px;
  padding-bottom: 5px;
}

.box-links {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 42px;
}

.box-links a {
  padding: 10px 15px;
  background-color: #7777771f;
  font-size: 15px;
  position: relative;
  display: flex;
  align-items: center;
  transition: all ease 0.3s;
  text-decoration: none;
  color: #001e5e;
  font-weight: 500;
  letter-spacing: 1px;
  word-spacing: 2px;
}

.box-links a i {
  line-height: 22px;
  transform: translateX(5px);
  transition: all 0.5s ease;
  font-size: 10px;
}

.service-box:hover .box-links a i {
  transform: translateX(10px) !important;
}
.box-content .small-heading a {
  color: var(--secondary-color);
  border-bottom: 1px solid;
  padding-bottom: 2px;
}

.service-box:hover .box-content .small-heading a {
  color: var(--primary-color);
}

.service-box:hover .box-links a {
  color: var(--primary-color);
}

/*====== CTA ====*/
.common-sec.cta {
  background-color: #232721;
  border-bottom: 3px solid #ffffff;
  color: #fff;
}
.common-sec.cta .ctaBtn {
  margin-top: 25px;
}

.common-sec.cta .main-btn {
  border: 2px solid #ffffff;
  min-width: 200px;
}
.common-sec.cta .main-btn:first-child {
  margin-right: 10px;
}
.common-sec.cta .main-btn:hover {
  border: 2px solid #fff;
}
@media (max-width: 557px) {
  .common-sec.cta .main-btn {
    min-width: 150px;
  }
}
.footer .common-box {
  text-align: center;
  color: #fff;
}
.footer .common-box p {
  font-weight: 500;
}
.footer .common-box p:last-child {
  margin-bottom: 0;
}
